Subject: Re: [bitcoin-dev] BIP - Automated and Secure Communication

From: Luke Dashjr <[email-masked]>
Date: Sun, 6 Dec 2020 19:36:48 +0000

Anything that makes sense to coordinate between different programs is BIP 
material, not just core Bitcoin protocol...

On Sunday 06 December 2020 19:14:13 yanmaani--- via bitcoin-dev wrote:
> The reason Samourai did not propose a BIP is that that was not a
> proposal to improve the Bitcoin protocol.
>
> You could write a specification for it, but this mailing list is
> probably the wrong venue.
>
> On 2020-12-06 18:20, Prayank via bitcoin-dev wrote:
> > Hello Everyone,
> >
> > I know there have been lot of controversial and heated discussions
> > involving Samourai in past. Ignoring everything including the tweets
> > in which Samourai team mentioned no interest in proposing a BIP
> > related to automated and secure communication used in Soroban, I
> > wanted to know if enough people would be interested in a BIP because
> > it may help other bitcoin projects in future.
> >
> > Tweets: https://twitter.com/SamouraiWallet/status/1334977957157367810
> > [1]
> >
> > https://twitter.com/SamouraiDev/status/1335103101188104194 [2]
> >
> > Ben also tweeted that a BIP would make sense:
> > https://twitter.com/benthecarman/status/1334977096079306753 [3]
> >
> > I think we should keep all the controversial things aside and do
> > everything that helps Bitcoin. It's mentioned in the medium article
> > that it can help other projects like joinmarket, coinswap, snickr etc.
> >
> > https://link.medium.com/uBvIJUSLQbb
> >
> > The source code for a client library in Java is available here
> > https://code.samourai.io/wallet/soroban-client-java and the source
> > code for the Go based server component is available here
> > https://code.samourai.io/wallet/samourai-soroban
> >
> > Let me know if a BIP for such implementation to be used by other
> > bitcoin projects makes sense and if anyone willing to help me in
> > creating a BIP.
> >
> > Thanks.
> >
> > -- Prayank
> >
> > Links:
> > ------
> > [1] https://twitter.com/SamouraiWallet/status/1334977957157367810?s=19
> > [2] https://twitter.com/SamouraiDev/status/1335103101188104194?s=19
> > [3] https://twitter.com/benthecarman/status/1334977096079306753?s=19
> > _______________________________________________
> > bitcoin-dev mailing list
> > [email-masked]
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev